Skip to main content

Timesheet Approved

Event Type

timesheet_approved

Summary

Timesheet approved event delivery

Delivery

  • Method: POST
  • Content-Type: application/json
  • Delivery guarantee: at-least-once

Delivery Headers

HeaderDescription
Content-TypeAlways application/json.
X-Requidex-EventEvent type (timesheet_approved).
X-Requidex-Event-IdUnique event delivery id.
X-Requidex-SignatureHMAC SHA-256 signature of the raw request body.
X-Requidex-TimestampUTC timestamp used when signing the payload.

Payload Fields

FieldTypeRequiredDescription
idstringYes
typestringYes
createdAtstringYes
dataobjectYes
Show child attributes
  • timesheet object

Payload Example

{
"id": "evt_01HZAZ9BB5J1R8V7SK3X4L6P7Q",
"type": "timesheet_approved",
"createdAt": "2026-03-09T10:45:00.000Z",
"data": {
"timesheet": {
"id": "ts01abcd34"
}
}
}